#include <bits/stdc++.h>
using namespace std;
#define ll long long
vector<int> solve(std::vector<int> A){
ll n =A.size();
ll gsum=0;
map<int,int> mp;
map<int,int> m;
map<int,vector<int>> mm;
for(int i=0; i<n; i++){
    gsum+=A[i];
    mp[A[i]]++;
    m[A[i]]++;
    mm[A[i]].push_back(i);
}
ll sum=0;
vector<int> p(n);
int id=0;
set<int> s;
for(auto [k,v] : mm){
    for(int i=v.size()-1; i>=v.size()/2; i--){
        p[id]=v[i];
        id++;
    }
    for(int i=0; i<v.size()/2; i++) v.pop_back();
}
for(auto [k,v] : mm){
    for(int i=0; i<v.size(); i++){
        p[id]=v[i];
        id++;
    }
}
return p;
}